
<div id="container">
    <input id="" onkeyup="handleChange(event)">
    
</div>


<script>
 var data
 const container = document.getElementById('container');
async function initial() {
    //let result = 0;
    await fetch('https://api.publicapis.org/categories').then(res => res.json()).then((response) =>    {
        data = response;
    });  
 /*    await console.log(result);
    console.log(result) */
    const table = document.createElement('table');
    table.id = "myTable"

    for (let i=0; i<data.length; ++i) {
            let row = table.insertRow();
            let cell = row.insertCell();
            cell.textContent = data[i];
    }

  container.appendChild(table)   

}
initial();

function  handleChange(e){
    document.getElementById('myTable').remove();
    const table = document.createElement('table');
    table.id = "myTable"
    const newdata = data.filter(str=> str.includes(e.target.value) )
    for (let i=0; i<newdata.length; ++i) {
            let row = table.insertRow();
            let cell = row.insertCell();
            cell.textContent = newdata[i];
    }
  container.appendChild(table)  
    
}




</script>